Package org.bukkit.block.data.type

# Interface Farmland

All Superinterfaces:
  `BlockData`, `Cloneable`

public interface Farmland extends BlockData
The 'moisture' level of farmland indicates how close it is to a water source (if any).
A higher moisture level leads, to faster growth of crops on this block, but cannot be higher than `getMaximumMoisture()`.

## Method Summary

Modifier and Type
Method
Description
`int`
`getMaximumMoisture()`
Gets the maximum allowed value of the 'moisture' property.
`int`
`getMoisture()`
Gets the value of the 'moisture' property.
`void`
`setMoisture(int moisture)`
Sets the value of the 'moisture' property.

### Methods inherited from interface org.bukkit.block.data.BlockData

`clone, getAsString, getAsString, getMaterial, getSoundGroup, matches, merge`

## Method Details

### getMoisture

int getMoisture()
Gets the value of the 'moisture' property.

Returns:
  the 'moisture' value

### setMoisture

void setMoisture(int moisture)
Sets the value of the 'moisture' property.

Parameters:
  `moisture` - the new 'moisture' value

### getMaximumMoisture

int getMaximumMoisture()
Gets the maximum allowed value of the 'moisture' property.

Returns:
  the maximum 'moisture' value